Package twisted :: Package python :: Module dxprofile

[frames | no frames]

## Module twisted.python.dxprofile

Utility functions for reporting bytecode frequencies to Skip Montanaro's stat collector.

This module requires a version of Python build with DYNAMIC_EXCUTION_PROFILE, and optionally DXPAIRS, defined to be useful.

Function Summary
| ``report`(email, appname)` Send an RLE encoded version of sys.getdxp() off to our Top Men (tm) for analysis.
| ``rle`(iterable)` Run length encode a list

Function Details

### report(email, appname)

Send an RLE encoded version of sys.getdxp() off to our Top Men (tm) for analysis.

### rle(iterable)

Run length encode a list

Generated by Epydoc 2.0 on Sat May 15 20:08:04 2004 | http://epydoc.sf.net